Skip to main content
GET
Query join requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

communityId
string
required
Required string length: 1 - 900

Query Parameters

type
enum<string>
required
Available options:
communityJoinRequest
targetType
enum<string>
required
Available options:
community
statuses
enum<string>[]
Available options:
pending,
approved,
rejected,
cancelled
sortBy
enum<string>
default:_id
Available options:
_id,
respondedAt
sortOrder
enum<string>
default:asc
Available options:
asc,
desc
options[limit]
integer
default:10

Number of results per page (1-100)

Required range: 1 <= x <= 100
options[token]
string

Pagination token for getting next/previous pages

Maximum string length: 1000

Response

Query Join Request Response

joinRequests
object[]
users
object[]
files
object[]
roles
object[]
paging
object